package tutorial.webapp.backingbean;

import java.util.Date;
import java.util.List;

import tutorial.model.Developer;
import tutorial.model.Manager;
import tutorial.model.Project;
import tutorial.service.CommonService;
import tutorial.util.Constant;

import org.apache.commons.logging.*;

/**
 * <b>Created:</b> Apr 11, 2008<br>
 * <b>Title:</b> ProjectBean<br>
 * <b>Description:</b><br>
 * <b>Copyright:</b> Copyright (c) 2008<br>
 * @author MTyson
 * <p>
 * @todo add class overview here
 */

public class ProjectBean {
    private static final transient Log log = LogFactory.getLog(tutorial.webapp.backingbean.ProjectBean.class);

    CommonService commonService;
    SessionBean sessionBean;
    
    private String name;
    private Date startDate;
    
    /**default empty constructor*/
    public ProjectBean() {
    }
    
    public String addNew(){
        if (log.isInfoEnabled()) { log.info("Adding a new project: " + name); }
        
        Project newProject = new Project(name);
        newProject = (Project)commonService.save(newProject);
        
        return "home";
    }

    public CommonService getCommonService() {
        return commonService;
    }

    public void setCommonService(CommonService commonService) {
        this.commonService = commonService;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public SessionBean getSessionBean() {
        return sessionBean;
    }

    public void setSessionBean(SessionBean sessionBean) {
        this.sessionBean = sessionBean;
    }

}
