package tutorial.webapp.backingbean;

import java.util.List;

import tutorial.model.Developer;
import tutorial.model.Person;
import tutorial.model.Task;
import tutorial.service.CommonService;

//import org.apache.commons.logging.*;

/**
 * <b>Created:</b> May 5, 2008<br>
 * <b>Title:</b> TaskBean<br>
 * <b>Description:</b><br>
 * <b>Copyright:</b> Copyright (c) 2008<br>
 * @author MTyson
 * <p>
 * @todo add class overview here
 */

public class TaskBean extends ManagedObjectBackingBean {
    //private static final transient Log log = LogFactory.getLog(tutorial.webapp.backingbean.TaskBean.class);

    private String name;
    private CommonService commonService;
    
    public CommonService getCommonService() {
        return commonService;
    }

    public void setCommonService(CommonService commonService) {
        this.commonService = commonService;
    }
    
    public List getAllTasks(){
        return this.getMoAsSelectItems(commonService.getAll(Task.class));
    }

    public String addNew(){                
    
        Task newTask = new Task();

        newTask.setName(name);
        newTask = (Task)commonService.save(newTask);
        
        return "home";
    }
    
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**default empty constructor*/
    public TaskBean() {
    }

}
