<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 
<%@ page language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://www.tutorial.com/spring-jpa-jsf" prefix="tut" %>

<f:view>
	<html>
	    <head>
	    </head>
	    <body style="padding: 5px;">
	   		<h:outputText value="PathProxy Tutorial" style="padding: 5px;"></h:outputText>
	   		<h:form>
	   			<h:panelGroup style="padding: 5px;">
			   		<h:commandLink action="addPerson" value="Add Person" />
			   		<h:outputText value=" - " />
			   		<h:commandLink action="addProject" value="Add Project"/>
			   		<h:outputText value=" - " />
			   		<h:commandLink action="addTask" value="Add Task"/>
				</h:panelGroup>
		   		<tut:ajaxTree dataProvider="#{ajaxTreeBean}">
		   			<%-- The default facet will attempt to render any nodes that don't have another facet --%>
		   			<f:facet name="__DEFAULT__">
		                <h:panelGroup id="default_panel">
	                        <%--<h:commandLink onclick="window.location.href=('index.jsf'); return false;" value="#{node.label}"></h:commandLink>--%>
	                        <h:outputText value="#{node.label}" />
        	                        <h:outputText value=" : #{node.type}" />
		                </h:panelGroup>
		            </f:facet>
		            <f:facet name="tutorial.model.Project">
		                <h:panelGroup id="project_panel" >
		                	<h:commandLink onclick="window.location.href=('projectDetail.jsf?selectionType=#{node.wrapped.class.name}&selectionNodeString=#{node.wrapped.id}'); return false;" value="#{node.label}">
		                	</h:commandLink>
		                </h:panelGroup>
		            </f:facet>
		            <f:facet name="tutorial.model.Manager">
		                <h:panelGroup id="manager_panel">
	                        <h:commandLink onclick="window.location.href=('managerDetail.jsf?selectionType=#{node.wrapped.class.name}&selectionNodeString=#{node.nodeString}'); return false;" value="#{node.label}"></h:commandLink>
		                </h:panelGroup>
		            </f:facet>
		            <f:facet name="tutorial.model.Developer">
		                <h:panelGroup id="developer_panel">
	                        <h:commandLink onclick="window.location.href=('developerDetail.jsf?selectionType=#{node.wrapped.class.name}&selectionNodeString=#{node.nodeString}'); return false;" value="#{node.label}"></h:commandLink>
		                </h:panelGroup>
		            </f:facet>
		   		</tut:ajaxTree>
		   	</h:form>
	    </body>
	</html>
</f:view>