<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 
<%@ page language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://www.tutorial.com/spring-jpa-jsf" prefix="tut" %>

<f:view>
	<html>
	    <head>
	    </head>
	    <body>
	    	<h:messages></h:messages>
	   		<h:outputText value="Tasks for Developer: #{sessionBean.currentSelection.firstName}"></h:outputText>
	   		<h:form>
	   			<h:panelGrid columns="2">
	   				<h:outputText value="Project" />
				   	<h:outputText value="#{sessionBean.selectionEntityPath.firstProjectParent.name}" />  
				   	<h:outputText value="Manager" />
				   	<h:outputText value="#{sessionBean.selectionEntityPath.pathAsObjects[2].firstName}" />
				</h:panelGrid>
		   			<h:selectManyListbox id="tasks" value="#{personBean.tasksOnSelectedDeveloper}"
		   			 		converter="tutorial.ManagedObjectConverter">
		   				<f:selectItems value="#{taskBean.allTasks}"/>
		   			</h:selectManyListbox>
				<h:commandButton action="#{sessionBean.persistCurrentSelection}" value="OK"></h:commandButton>
		   	</h:form>
		   	
	    </body>
	</html>
</f:view>