<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 
<%@ page language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://www.tutorial.com/spring-jpa-jsf" prefix="tut" %>

<f:view>
	<html>
	    <head>
	    </head>
	    <body>
	    	<h:messages></h:messages>
	   		<h:outputText value="Project: #{sessionBean.currentSelection.name}"></h:outputText>
	   		<h:form>
			   	<h:outputLabel value="Available Managers" for="managers"/>
		   			<h:selectManyListbox id="managers" value="#{sessionBean.currentSelection.managers}"
		   			 		converter="tutorial.ManagedObjectConverter">
		   				<f:selectItems value="#{personBean.allManagers}"/>
		   			</h:selectManyListbox>
			   	<h:dataTable var="man" value="#{sessionBean.currentSelection.managers}">
					<h:column>
		   				<h:outputText value="#{man.firstName}"></h:outputText>
					</h:column>
				</h:dataTable>
				<h:commandButton action="#{sessionBean.persistCurrentSelection}" value="OK"></h:commandButton>
		   	</h:form>
		   	
	    </body>
	</html>
</f:view>